#### D.5.9.12 NumPrimDecom

Procedure from library `numerDecom.lib` (see numerDecom_lib).

Usage:
  NumPrimDecom(ideal I,int d); I ideal, d order of the deflation

Return:
  lists of the numerical primary decomposition

Example:

    LIB "numerDecom.lib";
    ring r=0,(x,y),dp;
    poly f1=yx;
    poly f2=x2;
    ideal I=f1,f2;
    def W=NumPrimDecom(I,1);
    setring W;
    w(1);
    ==> 1-Witness point set (one point)
    w(2);
    ==> 1-Witness point set (one point)

User manual for Singular version 4.4.1, 2025, generated by texi2html.